function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function Door_GoGaudiBlackmaketUndergroundEntrance()
    FLS("InLift")
    PRI()FAO(0)TRA("CS_gaudi_blackmaket_underground_entrance","E0092",36,20)
end

function GoFortressEntrance()
    FLS("InLift")
    if(FLJ("ProfessorBoosterGetWand")) then
        PRI()FAO(1)TRA("CS_fortress_entrance","E0093",4,27)
    else
        FLP("ProfessorBoosterGetWand")
        FAO(2)TRA("CS_soapcastle_golemhall","ProfessorBoosterCheckStatue",3,18)
    end
end

function TerminalDown()
    PRI()
    MS4("\n要下降电梯吗？")YNJ()
    if(YES()) then
        FLP("TerminalDown")
        KEY()
        ANP("LiftBlock1","down",70*16)
    end
end

function TerminalUp()
    PRI()
    MS4("\n要上升电梯吗？")YNJ()
    if(YES()) then
        FLS("TerminalDown")
        KEY()
        ANP("LiftBlock1","up",70*16)
    end
end
